<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE properties SYSTEM "http://java.sun.com/dtd/properties.dtd">
<properties>
    <entry key="currentSQL">
        <![CDATA[
            select 
                storage_id,
                revision,
                description,
                operation_id,
                content,
                created_by,
                create_date
            from 
                enumerations
            where 
                storage_id = ?
            order by
                revision desc
            fetch first 1 rows only
        ]]>
    </entry>
    <entry key="loadSQL">
        <![CDATA[
            select 
                storage_id,
                revision,
                description,
                operation_id,
                (select case when ? then content else null end) as content,
                created_by,
                create_date
            from 
                enumerations
            where
                storage_id = ?
            order by
                revision desc
            offset ? rows
            fetch first ? rows only
        ]]>
    </entry>
    <entry key="saveSQL">
        <![CDATA[
            insert into
                enumerations(storage_id, revision, description, operation_id, content, created_by)
            select 
                ?,
                ?, -- // OLOCK constructed as current + 1
                ?,
                ?,
                ?,
                ?
            returning revision
        ]]>
    </entry>
    <entry key="removeSQL">
        <![CDATA[
            delete from enumerations where storage_id = ? and revision = ?
        ]]>
    </entry>
</properties>